HPE OneView
cancel
Showing results for 
Search instead for 
Did you mean: 

switch uri is malformed

 
Highlighted
Advisor

switch uri is malformed

Dear Oneview community,

I am trying to change the config of an uplink set. It has two uplink ports configured and I want to remove one of them. I did this in the logical interconnect group and the verifcation went ok. After that the logical interconnect was inconsistent with it's group. I expected this of course. I went to the logical interconnect and clicked "update from group". Now that process failed with the issue "switch uri is malformed". I repeated the step, but it keeps failing.

Can you tell me whats wrong here?

Cheers

Timo

6 REPLIES 6
Highlighted
Advisor

Re: switch uri is malformed

Forgot to add:

OneView version is 4.00.07-0330056

The switches are HP VC FlexFabric-20/40 F8 Modules with firmware:  4.45

The uplink set is of type tunnel with failover connection mode. When I removed the port I changed this to the automatic connection mode.

Highlighted
HPE Pro

Re: switch uri is malformed

Hi

With reference to Logical interconnect issue in OneView - "switch uri is malformed" is caused due to OV database issue and which need to be fix through OV database.

And access to OneView maintenance console (OneView Database) are restricted for Technical Support only. Hence please raise support ticket with HPE Technical Support team for further support.

 

I am an HPE Employee

Accept or Kudo
Highlighted
HPE Pro

Re: switch uri is malformed

@tvtue This is a bug that will be fixed in our next major release.  It is not backported to an older patch. So, to prepare you to get to that release, you will need to update to either 4.20, or 4.10 then to 5.00.  Either way, you need to be no older than N-2 major releases, which 4.00 is no longer supported and will not be directly updateable to the next major release.


I am an HPE employee

Accept or Kudo

Highlighted
Advisor

Re: switch uri is malformed

Dear Chris and AmRa,

thank you for your replies. I will try to upgrade to the latest version then asap.

Do you know if I can safely upgrade although I am getting Alerts from security like so "CRL issued by Symantec Class 3 Secure Server...." ?

Cheers

Timo

Highlighted
HPE Pro

Re: switch uri is malformed

Dear Timo,

There should not be any issue in OneView upgrade with "CRL issued by Symantec Class 3 Secure Server...." alerts.

 

 

 

 

I am an HPE Employee

Accept or Kudo
Highlighted
Advisor

Re: switch uri is malformed

Hello AmRa,

thank you for your reply.

I have managed to purge security warnings about the expired CAs. I did that before I upgraded, just in case ...

Now, I also have manageg to upgrade the appliance from 4.00.07 to 4.20.01.01. After the first boot of the appliance I got the error message that the it needed more memory. So I shut it down again and gave it 32 GB instead of 16. The error message requested 24 GB at least.

Today I tried to proceed with the upgrade to 5.00.01 which the upgrade path seemed to allow when I looked at it. Here is  a screenshot. Please note that my red mark is at the wrong version 5.x version. oneview_upgrade_path.png

 

But the upgrade process failed with an the message "Unable to update appliance, The applicance is at pre-update version 4.20.01.01-0385523.

Do I need a step to a lower version in between contrary to the upgrade path or is there something else wrong?

Cheers and have a nice day

Timo